<?php
include "ver_sessao.php";
include "conecta.php";


function exclui_tributacao(){
	
	remover('tributacao',$_POST[id]);
	index();
	exit;
	
}

function modifica_tributacao(){
	
	global $a_mod;
	$a_mod = carregar('tributacao',$_POST[id]);
	layout_tributacao();
	
}

function cadastra_tributacao(){

	if ( strlen($_POST[cfopInterno]) != 4 ) {

		set_status('O CFOP Padrão tem que ter 4 dígitos!');

		if( !$_POST[id] )
			layout_tributacao();
		else
			modifica_tributacao();
		exit;
	}

	$campos = array(trib_nb_empresa,trib_nb_imposto,trib_nb_cstOrigem,trib_nb_cstCsosn,trib_nb_cstPis,trib_tx_aliquotaPis,trib_nb_cstCofins,trib_tx_aliquotaCofins,trib_tx_status,
		trib_tx_cest,trib_tx_aliquotaIcms,trib_tx_reducaoIcms,trib_tx_aliquotaIpi,trib_tx_cfopInterno,trib_tx_cfopInterestadual,trib_tx_uf,
		trib_tx_modbcIcms,trib_tx_modbcIcmsSt,trib_tx_mvaIcmsSt,trib_tx_aliquotaIcmsSt,trib_tx_reducaoIcmsSt,trib_tx_obsFisco,trib_nb_ipiEnquadramento,trib_nb_ipiCst,
		trib_tx_cfopDevolucaoVenda,trib_tx_cfopDevolucaoCompra);
	$valores= array($_POST[empresa],$_POST[imposto],$_POST[cstOrigem],$_POST[cstCsosn],$_POST[cstPis],valor($_POST[aliquotaPis]),$_POST[cstCofins],valor($_POST[aliquotaCofins]),'ativo',
		$_POST[cest],valor($_POST[aliquotaIcms]),valor($_POST[reducaoIcms]),valor($_POST[aliquotaIpi]),$_POST[cfopInterno],$_POST[cfopInterestadual],$_POST[uf],
		$_POST[modbcIcms],$_POST[modbcIcmsSt],valor($_POST[mvaIcmsSt]),valor($_POST[aliquotaIcmsSt]),valor($_POST[reducaoIcmsSt]),$_POST[obsFisco],$_POST[ipiEnquadramento],$_POST[ipiCst],
		$_POST[cfopDevolucaoVenda],$_POST[cfopDevolucaoCompra]);

	if( !$_POST[id] )
		inserir('tributacao',$campos,$valores);
	else
		atualizar('tributacao',$campos,$valores,$_POST[id]);

	if($_POST[id_compra]>0){
		echo"
			<form method=post action=compra/requisicao.php name=form_tributacao>
				<input type=hidden name=acao value=layout_xml>
				<input type=hidden name=id value=$_POST[id_compra]>
			</form>
		";

		javascript("
			document.form_tributacao.submit();
		");

		exit;

	}
		
	index();
	exit;
	
}

function sugestao($elemento){

	return '<font color=red> <i>'.$elemento.'</i></font>';

}

function layout_tributacao(){
	
	global $a_mod;
	cabecalho('Cadastro de Tributação',2);


	// CARREGA AS CONFIGURAÇÕES DA EMPRESA
	$a_empr = carregar('empresa',1);

	
	//CAMPOS
	// $c[] = cactux::combo_bd('Empresa:','empresa',$a_mod[trib_nb_empresa],$a_mod[trib_nb_empresa],3,'empresa');
	// $c[] = cactux::combo_bd('NCM:','imposto',$a_mod[trib_nb_imposto],$a_mod[trib_nb_imposto],7,'imposto'," 1 AND impo_tx_tipo = 'ncm'");
	// $c[] = cactux::combo_bd('Origem:','origem',$a_mod[trib_nb_imposto],$a_mod[trib_nb_imposto],2,'imposto'," 1 AND impo_tx_tipo = 'Origem'");
	// $c[] = cactux::campo('Aliquota ICMS(%):','aliquotaIcms',$a_mod[trib_tx_aliquotaIcms],2);
	// $c[] = cactux::campo('Redução ICMS(%):','reducaoIcms',$a_mod[trib_tx_reducaoIcms],2);
	// $c[] = cactux::campo('CEST:','cest',$a_mod[trib_tx_cest],2);
	// $c[] = cactux::combo_bd('CST/PIS:','cstCofins',$a_mod[trib_nb_cstPis],$a_mod[trib_nb_cstPis],2,'imposto'," 1 AND impo_tx_tipo = 'CST/PIS/PASEP'");
	// $c[] = cactux::campo('Aliquota PIS(%):','aliquotaPis',$a_mod[trib_tx_aliquotaPis],2);
	// $c[] = cactux::combo_bd('CST/COFINS:','cstCofins',$a_mod[trib_nb_cstCofins],$a_mod[trib_nb_cstCofins],2,'imposto'," 1 AND impo_tx_tipo = 'CST/COFINS'");
	// $c[] = cactux::campo('Aliquota COFINS(%):','aliquotaCofins',$a_mod[trib_tx_aliquotaCofins],2);
	// $c[] = cactux::campo('Aliquota IPI(%):','aliquotaIpi',$a_mod[trib_tx_aliquotaIpi],2);
	// $c[] = cactux::campo('CFOP Interno:','cfopInterno',$a_mod[trib_tx_cfopInterno],2);
	// $c[] = cactux::campo('CFOP Interestadual:','cfopInterestadual',$a_mod[trib_tx_cfopInterestadual],2);

	if($a_mod[trib_nb_imposto]){
		$a_imposto = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_imposto]);
		$nome_imposto = "$a_imposto[1]-$a_imposto[2]";
	}else{
		$inserir = "&i=inserir";
	}

	$a_uf = array('RN','AC','AL','AM','AP','BA','CE','DF','ES','GO','MA','MG','MS','MT','PA','PB','PE','PI','PR','RJ','RO','RR','RS','SC','SE','SP','TO');

	if ( $a_mod[trib_tx_uf] == '' ) {
		// RN COMO PADRÃO
		$a_mod[trib_tx_uf] = 'RN';
	}


	$a_origem = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_cstOrigem]);
	$a_csosn = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_cstCsosn]);
	$a_pis = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_cstPis]);
	$a_cofins = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_cstCofins]);
	$a_ipiEnquadramento = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_ipiEnquadramento]);
	$a_ipiCst = carregar('impo_nb_id,impo_tx_codigo,impo_tx_nome|imposto',$a_mod[trib_nb_ipiCst]);
		
	if($_POST[id_compra]>0){
		$a_mod2=array_map('sugestao', $a_mod);

		@$a_origem2 = array_map('sugestao',$a_origem);
		@$a_csosn2 = array_map('sugestao',$a_csosn);
		@$a_pis2 = array_map('sugestao',$a_pis);
		@$a_cofins2 = array_map('sugestao',$a_cofins);
		@$a_ipiEnquadramento2 = array_map('sugestao',$a_ipiEnquadramento);
		@$a_ipiCst2 = array_map('sugestao',$a_ipiCst);
		
		unset($a_origem,$a_csosn,$a_pis,$a_cofins,$a_ipiEnquadramento,$a_ipiCst);

		$a_mod2[trib_tx_aliquotaIcms] = sugestao(mostra_valor($a_mod[trib_tx_aliquotaIcms]));
		$a_mod2[trib_tx_reducaoIcms] = sugestao(mostra_valor($a_mod[trib_tx_reducaoIcms]));
		$a_mod2[trib_tx_mvaIcmsSt] = sugestao(mostra_valor($a_mod[trib_tx_mvaIcmsSt]));
		$a_mod2[trib_tx_aliquotaIcmsSt] = sugestao(mostra_valor($a_mod[trib_tx_aliquotaIcmsSt]));
		$a_mod2[trib_tx_reducaoIcmsSt] = sugestao(mostra_valor($a_mod[trib_tx_reducaoIcmsSt]));
		$a_mod2[trib_tx_aliquotaPis] = sugestao(mostra_valor($a_mod[trib_tx_aliquotaPis]));
		$a_mod2[trib_tx_aliquotaCofins] = sugestao(mostra_valor($a_mod[trib_tx_aliquotaCofins]));
		$a_mod2[trib_tx_aliquotaIpi] = sugestao(mostra_valor($a_mod[trib_tx_aliquotaIpi]));
		unset($a_mod);
		// print_r($a_mod2);
	}

	$c[] = cactux::combo_bd('Empresa:','empresa',$a_mod[trib_nb_empresa],$a_mod[trib_nb_empresa],3,'empresa');
	$c[] = cactux::combo('UF:','uf',$a_uf,$a_mod[trib_tx_uf],1);
	$c[] = cactux::campo('CFOP:'.$a_mod2[trib_tx_cfopInterno],'cfopInterno',$a_mod[trib_tx_cfopInterno],1,'maxlength="4" '.MASCARA_NUMERO);
	$c1 = cactux::campo('CFOP&nbsp;Dev.Venda:'.$a_mod2[trib_tx_cfopDevolucaoVenda],'cfopDevolucaoVenda',$a_mod[trib_tx_cfopDevolucaoVenda],1,'maxlength="4" '.MASCARA_NUMERO);
	$c2 = cactux::campo('CFOP&nbsp;Dev.Compra:'.$a_mod2[trib_tx_cfopDevolucaoCompra],'cfopDevolucaoCompra',$a_mod[trib_tx_cfopDevolucaoCompra],1,'maxlength="4" '.MASCARA_NUMERO);
	$c[] = cactux::combo_net('NCM:','imposto',$a_imposto[0],$nome_imposto,3,array("combonet/busca_imposto_div.php?c=NCM","combonet/busca_imposto_net.php?c=NCM"),'required=required');
	//$c[] = cactux::combo_net('NCM:','imposto',$a_imposto[0],$nome_imposto,5,array("combonet/busca_imposto_div.php?c=NCM$inserir","combonet/busca_imposto_net.php?c=NCM$inserir"),'required=required');
	
	// $c[] = cactux::combo_net('Origem:','cstOrigem',$a_origem[0],"$a_origem[1]-$a_origem[2]",7,array('combonet/busca_imposto_div.php?c=origem','combonet/busca_imposto_net.php?c=origem'));
	$c[] = cactux::combo_bd_tributacao('!Origem:'.$a_origem2[1],'cstOrigem',$a_origem[0],"$a_origem[1]-$a_origem[2]",5,'imposto',''," 1 AND impo_tx_tipo = 'Origem'");
	// $c[] = cactux::combo_net('CST/CSOSN:','cstCsosn',$a_csosn[0],"$a_csosn[1]-$a_csosn[2]",7,array('combonet/busca_imposto_div.php?c=CST/CSOSN','combonet/busca_imposto_net.php?c=CST/CSOSN'));
	if ( $a_empr[empr_tx_crt] == '3: Regime Normal' ) {
		$c[] = cactux::combo_bd_tributacao('!CST:'.$a_csosn2[1],'cstCsosn',$a_csosn[0],"$a_csosn[1]-$a_csosn[2]",5,'imposto',''," 1 AND impo_tx_tipo = 'CST'");
	} else {
		$c[] = cactux::combo_bd_tributacao('!CSOSN:'.$a_csosn2[1],'cstCsosn',$a_csosn[0],"$a_csosn[1]-$a_csosn[2]",5,'imposto',''," 1 AND impo_tx_tipo = 'CST/CSOSN'");
	}
	
	
	if ( $a_empr[empr_tx_crt] == '3: Regime Normal' ) {
		$c[] = cactux::combo('MOD BC. ICMS:'.$a_mod2[trib_tx_modbcIcms],'modbcIcms',array('','0 - Margem Valor Agregado(%)','1 - Pauta (Valor)','2 - Preço Tabelado Máx. (valor)','3 - valor da operação'),$a_mod[trib_tx_modbcIcms],4);
	} else {
		$c[] = cactux::combo('MOD BC. ICMS:'.$a_mod2[trib_tx_modbcIcms],'modbcIcms',array('','0 - Margem Valor Agregado(%)','1 - Pauta (Valor)','2 - Preço Tabelado Máx. (valor)','3 - valor da operação'),$a_mod[trib_tx_modbcIcms],4,'disabled=disabled');
	}
	
	$c[] = cactux::campo('Aliquota ICMS(%):'.$a_mod2[trib_tx_aliquotaIcms],'aliquotaIcms',mostra_valor($a_mod[trib_tx_aliquotaIcms]),2,MASCARA_VALOR);
	$c[] = cactux::campo('Redução BC ICMS(%):'.$a_mod2[trib_tx_reducaoIcms],'reducaoIcms',mostra_valor($a_mod[trib_tx_reducaoIcms]),2,MASCARA_VALOR);
	// $c[] = cactux::campo('CEST:'.$a_mod2[trib_tx_cest],'cest',$a_mod[trib_tx_cest],2);
	
	
	if ( $a_empr[empr_tx_crt] == '3: Regime Normal' ) {
		$c[] = cactux::combo('MOD BC. ICMS ST:'.$a_mod2[trib_tx_modbcIcmsSt],'modbcIcmsSt',array('','0 - Preço tabelado ou máximo sugerido','1 - Lista Negativa (valor)','2 - Lista Positiva (valor)','3 - Lista Neutra (valor)','4 - Margem Valor Agregado (%)','5 - Pauta (valor)'),$a_mod[trib_tx_modbcIcmsSt],4);
		$c[] = cactux::campo('MVA ICMS ST(%):'.$a_mod2[trib_tx_mvaIcmsSt],'mvaIcmsSt',mostra_valor($a_mod[trib_tx_mvaIcmsSt]),2,MASCARA_VALOR);
		$c[] = cactux::campo('Aliquota ICMS ST(%):'.$a_mod2[trib_tx_aliquotaIcmsSt],'aliquotaIcmsSt',mostra_valor($a_mod[trib_tx_aliquotaIcmsSt]),2,MASCARA_VALOR);
		$c[] = cactux::campo('Redução BC ICMS ST(%):'.$a_mod2[trib_tx_reducaoIcmsSt],'reducaoIcmsSt',mostra_valor($a_mod[trib_tx_reducaoIcmsSt]),2,MASCARA_VALOR);
	} else {
		$c[] = cactux::combo('MOD BC. ICMS ST:'.$a_mod2[trib_tx_modbcIcmsSt],'modbcIcmsSt',array('','0 - Preço tabelado ou máximo sugerido','1 - Lista Negativa (valor)','2 - Lista Positiva (valor)','3 - Lista Neutra (valor)','4 - Margem Valor Agregado (%)','5 - Pauta (valor)'),$a_mod[trib_tx_modbcIcmsSt],4,'disabled=disabled');
		$c[] = cactux::campo('MVA ICMS ST(%):'.$a_mod2[trib_tx_mvaIcmsSt],'mvaIcmsSt',mostra_valor($a_mod[trib_tx_mvaIcmsSt]),2,MASCARA_VALOR.'disabled=disabled');
		$c[] = cactux::campo('Aliquota ICMS ST(%):'.$a_mod2[trib_tx_aliquotaIcmsSt],'aliquotaIcmsSt',mostra_valor($a_mod[trib_tx_aliquotaIcmsSt]),2,MASCARA_VALOR.'disabled=disabled');
		$c[] = cactux::campo('Redução BC ICMS ST(%):'.$a_mod2[trib_tx_reducaoIcmsSt],'reducaoIcmsSt',mostra_valor($a_mod[trib_tx_reducaoIcmsSt]),2,MASCARA_VALOR.'disabled=disabled');
	}	
	
	
	
	// $c[] = cactux::combo_net('CST/PIS/PASEP:','cstPis',$a_pis[0],"$a_pis[1]-$a_pis[2]",3,array('combonet/busca_imposto_div.php?c=CST/PIS/PASEP','combonet/busca_imposto_net.php?c=CST/PIS/PASEP'));
	$c[] = cactux::combo_bd_tributacao('!CST/PIS/PASEP:'.$a_pis2[1],'cstPis',$a_pis[0],"$a_pis[1]-$a_pis[2]",3,'imposto',''," 1 AND impo_tx_tipo = 'CST/PIS/PASEP'");
	$c[] = cactux::campo('Aliquota PIS(%):'.$a_mod2[trib_tx_aliquotaPis],'aliquotaPis',mostra_valor($a_mod[trib_tx_aliquotaPis]),2,MASCARA_VALOR);
	// $c[] = cactux::combo_net('CST/COFINS:','cstCofins',$a_cofins[0],"$a_cofins[1]-$a_cofins[2]",3,array('combonet/busca_imposto_div.php?c=CST/COFINS','combonet/busca_imposto_net.php?c=CST/COFINS'));
	$c[] = cactux::combo_bd_tributacao('!CST/COFINS:'.$a_cofins2[1],'cstCofins',$a_cofins[0],"$a_cofins[1]-$a_cofins[2]",3,'imposto',''," 1 AND impo_tx_tipo = 'CST/COFINS'");
	$c[] = cactux::campo('Aliquota COFINS(%):'.$a_mod2[trib_tx_aliquotaCofins],'aliquotaCofins',mostra_valor($a_mod[trib_tx_aliquotaCofins]),2,MASCARA_VALOR);
	
	$c[] = cactux::combo_bd_tributacao('!Enquadramento IPI:'.$a_ipiEnquadramento2[1],'ipiEnquadramento',$a_ipiEnquadramento[0],"$a_ipiEnquadramento[1]-$a_ipiEnquadramento[2]",4,'imposto',''," 1 AND impo_tx_tipo = 'IPI Enquadramento'");
	$c[] = cactux::combo_bd_tributacao('!CST IPI:'.$a_ipiCst2[1],'ipiCst',$a_ipiCst[0],"$a_ipiCst[1]-$a_ipiCst[2]",4,'imposto',''," 1 AND impo_tx_tipo = 'IPI CST'");
	$c[] = cactux::campo('Aliquota IPI(%):'.$a_mod2[trib_tx_aliquotaIpi],'aliquotaIpi',mostra_valor($a_mod[trib_tx_aliquotaIpi]),2,MASCARA_VALOR);
	
	$c[] = cactux::textarea('Informações de Interesse do Fisco:','obsFisco',$a_mod[trib_tx_obsFisco],10,3);
	
	
	// $c[] = cactux::campo('CFOP Interestadual:','cfopInterestadual',$a_mod[trib_tx_cfopInterestadual],4);

	// frame_interno(1);



	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_tributacao','id,id_compra',"$_POST[id],$_POST[id_compra]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações das Tributação');
	// cactux::linha_fieldset($c[0],$c[1]);
	// cactux::linha_fieldset($c[2],$c[3],$c[4],$c[5],$c[6]);
	// cactux::linha_fieldset($c[7],$c[8],$c[9],$c[10],$c[11]);
	
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c1,$c2,$c[3]);
	cactux::linha_fieldset($c[4],$c[5]);
	cactux::linha_fieldset($c[6],$c[7],$c[8]);
	cactux::linha_fieldset($c[9],$c[10],$c[11],$c[12]);
	cactux::linha_fieldset($c[13],$c[14],$c[15],$c[16]);
	cactux::linha_fieldset($c[17],$c[18],$c[19]);
	cactux::linha_fieldset($c[20]);

	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	

	if($_POST[id_compra]>0){
		cactux::acao_botao('voltar','layout_xml','id',$_POST[id_compra],'compra/requisicao.php');
	}else
		cactux::acao_botao('voltar','index');

	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de Tributação',2);

	

	if($_POST[busca_cod]!='')
		$extra .= " AND trib_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_tributacao]!='')
		$extra .= " AND impo_tx_nome LIKE '%$_POST[busca_tributacao]%'";
	if($_POST[busca_codigo]!='')
		$extra .= " AND impo_tx_codigo = '$_POST[busca_codigo]'";
	if($_POST[busca_uf]!='')
		$extra .= " AND trib_tx_uf = '$_POST[busca_uf]'";
	if($_POST[busca_cfop]!='')
		$extra .= " AND trib_tx_cfopInterno = '$_POST[busca_cfop]'";
	if($_POST[busca_situacao]!=''){
		if ( $_POST[busca_situacao]=='Revisão' ) {// SERVE PARA MANTER A COMPATIBILIDADE COM REGISTROS ANTIGOS
			$extra .= " AND (trib_tx_status = 'Revisão' OR trib_tx_status = 'Aguardando') ";
		} else {
			$extra .= " AND trib_tx_status = '$_POST[busca_situacao]'";
		}
	}
	

	
	$sql = selecionar('tributacao,imposto','trib_tx_status',"!inativo"," $extra ORDER BY impo_tx_nome");
	
	$cabecalho[] = array('COD','UF','CFOP','NCM','DESCRIÇÃO','SITUAÇÃO');
	$cabecalho[] = 'c,c,c,c,e,c';
	$cabecalho[] = '6%,6%,8%,8%,,8%';
	
	while( $a = carrega_array($sql)){
		
		
		if ( $a[trib_tx_status]=='aguardando' || $a[trib_tx_status]=='Revisão' ) {
			$cor1 = '<font color="red">';
			$cor2 = '</font>';
		} else {
			$cor1 = '';
			$cor2 = '';
		}

		if ($a[trib_tx_status]=='aguardando')
			$a[trib_tx_status]='Revisão';


		$valores[] = array($cor1.$a[trib_nb_id].$cor2,$cor1.$a[trib_tx_uf].$cor2,$cor1.$a[trib_tx_cfopInterno].$cor2,$cor1.$a[impo_tx_codigo].$cor2,$cor1.$a[impo_tx_nome].$cor2,$cor1.ucfirst($a[trib_tx_status]).$cor2);		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}

function bloquear_tributacao(){

	$a = carregar('tributacao',$_POST[id]);
	
	if($a[trib_tx_status]=='Bloqueado'){
		atualizar('tributacao','trib_tx_status','',$_POST[id]);
		set_status("Tributação Desbloqueado!");
	}
	else{
		atualizar('tributacao','trib_tx_status','Bloqueado',$_POST[id]);
		set_status("Tributação Bloqueado!");
	}

	index();
	exit;
}


function index(){
	if($_GET[tipo]=='alerta'){
		$_POST[busca_situacao]='Aguardando';
	}
	

	if($_POST[busca_cod]!='')
		$extra .= " AND trib_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_tributacao]!='')
		$extra .= " AND impo_tx_nome LIKE '%$_POST[busca_tributacao]%'";
	if($_POST[busca_codigo]!='')
		$extra .= " AND impo_tx_codigo = '$_POST[busca_codigo]'";
	if($_POST[busca_uf]!='')
		$extra .= " AND trib_tx_uf = '$_POST[busca_uf]'";
	if($_POST[busca_cfop]!='')
		$extra .= " AND trib_tx_cfopInterno = '$_POST[busca_cfop]'";
	if($_POST[busca_situacao]!=''){
		if ( $_POST[busca_situacao]=='Revisão' ) {// SERVE PARA MANTER A COMPATIBILIDADE COM REGISTROS ANTIGOS
			$extra .= " AND (trib_tx_status = 'Revisão' OR trib_tx_status = 'Aguardando') ";
		} else {
			$extra .= " AND trib_tx_status = '$_POST[busca_situacao]'";
		}
	}
	
	
	$sql = selecionar('tributacao,imposto','trib_tx_status',"!inativo"," $extra ",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Tributação',2);
	
	//CAMPOS
	$cod = cactux::campo('Cód:','busca_cod',$_POST[busca_cod],1);
	$codigo = cactux::campo('NCM:','busca_codigo',$_POST[busca_codigo],2);
	$nome = cactux::campo('Descrição:','busca_tributacao',$_POST[busca_tributacao],4);
	$uf = cactux::campo('UF:','busca_uf',$_POST[busca_uf],1);
	$cfop = cactux::campo('CFOP:','busca_cfop',$_POST[busca_cfop],1);
	$situacao = cactux::combo('Situação:','busca_situacao',array('','Ativo','Revisão'),$_POST[busca_situacao],1);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome,$codigo,$uf,$cfop,$situacao);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_tributacao');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','UF','CFOP','NCM','DESCRIÇÃO','SITUAÇÃO','');
	$cabecalho[] = 'c,c,c,c,e,c';
	$cabecalho[] = '6%,6%,8%,8%,,8%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		// if($a[trib_tx_status]!='Bloqueado')
		// 	$bloquear=".icone_modificar($a[0],'bloquear_tributacao','','','','','','cactus/imagens/cadeado2.png')";
		// else
		// 	$bloquear=".icone_modificar($a[0],'bloquear_tributacao','','','','','','cactus/imagens/cadeado3.png')";
		
		// ".icone_excluir($a[0],exclui_tributacao)"

		if ( $a[trib_tx_status]=='aguardando' || $a[trib_tx_status]=='Revisão' ) {
			$cor1 = '<font color="red">';
			$cor2 = '</font>';
		} else {
			$cor1 = '';
			$cor2 = '';
		}

		if ($a[trib_tx_status]=='aguardando')
			$a[trib_tx_status]='Revisão';


		$valores[] = array($cor1.$a[trib_nb_id].$cor2,$cor1.$a[trib_tx_uf].$cor2,$cor1.$a[trib_tx_cfopInterno].$cor2,$cor1.$a[impo_tx_codigo].$cor2,$cor1.$a[impo_tx_nome].$cor2,$cor1.ucfirst($a[trib_tx_status]).$cor2,".icone_modificar($a[0],modifica_tributacao)");
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>